#Publican Documentation Specfile
%define RHEL5 %(test %{?dist} == .el5 && echo 1 || echo 0)
%define HTMLVIEW %(test %{RHEL5} == 1 && echo 1 || echo 0)

%define ICONS 0

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         Red_Hat_Enterprise_Linux-Release_Notes-7-ml-IN
Version:      0
Release:      2%{?dist}

Summary:      Malayalam translation of Release_Notes
Summary(ml-IN):    Red Hat Enterprise Linux 7.0-നുള്ള പ്രകാശനക്കുറിപ്പുകള്‍
Group:         Documentation
License:       CC-BY-SA
URL:           https://access.redhat.com/site/documentation/
Source:        %{name}-%{version}.2.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 3.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat
Provides: Red_Hat_Enterprise_Linux-Release_Notes-7-ml

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif


%description
Malayalam translation of Release_Notes

%description -l ml-IN
The Release Notes provide high-level coverage of the improvements
and additions that have been implemented in Red Hat Enterprise
Linux 7.0. For detailed documentation on all changes to Red
Hat Enterprise Linux for the 7.0 release, refer to the
Technical Notes.

%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=ml-IN

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

%if %{ICONS}
for icon in `ls ml-IN/icons/*x*.png`; do
  size=`echo "$icon" | sed -e 's/.*icons\/\(.*\)\.png/\1/'`;
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
  cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Red_Hat_Enterprise_Linux-Release_Notes-7-ml-IN.png;
done
cp ml-IN/icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-7-ml-IN.svg;
%else
cp ml-IN/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-7-ml-IN.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Enterprise Linux7: 7.0 പ്രകാശനക്കുറിപ്പുകള്‍
Comment=Red Hat Enterprise Linux 7.0-നുള്ള പ്രകാശനക്കുറിപ്പുകള്‍
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-7-ml-IN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/ml-IN/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%else
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-7-ml-IN.svg
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Tue Jun 10 2014 Eliska Slobodova <eslobodo@redhat.com> - 0-2
- Release of the Red Hat Enterprise Linux 7.0 Release Notes

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 0-1
- Mass rebuild 2013-12-27

* Wed Dec 11 2013 Eliska Slobodova <eslobodo@redhat.com> - 0-0
- Release of the Red Hat Enterprise Linux 7.0 Beta Release Notes 

* Wed Dec 11 2013 Eliška Slobodová <eslobodo@redhat.com> - 0-0
- Translation files synchronized with XML sources 0-0 

